Bug 2021895 - transmission: FTBFS with OpenSSL 3.0.0
Summary: transmission: FTBFS with OpenSSL 3.0.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: transmission
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: OpenSSL3.0 F36FTBFS F37FTBFS 2075361 2111382 F38FTBFS
TreeView+ depends on / blocked
 
Reported: 2021-11-10 12:05 UTC by Sahana Prasad
Modified: 2022-08-24 20:31 UTC (History)
8 users (show)

Fixed In Version: transmission-3.00-13.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-08-24 20:31:16 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github transmission transmission issues 2126 0 None open Release for OpenSSL 3.0.0? 2021-11-10 18:20:35 UTC

Description Sahana Prasad 2021-11-10 12:05:12 UTC
This bug is used to track the readiness of transmission with OpenSSL 3.0.0.

Currently the build fails to build with OpenSSL 3.0.0 with the following logs
Task info: https://koji.fedoraproject.org/koji/taskinfo?taskID=78020262

Kindly fix them to ensure this package builds with OpenSSL 3.0.0

You can treat the deprecated warnings not as errors if you want to continue to use deprecated functions, but it is encouraged to use the new APIs, and this migration could be done sooner than later.

To not treat deprecated warnings as errors, you may use
-Wno-error=deprecated-declarations

To port to new APIs, kindly refer to the OpenSSL upstream migration guide:
https://www.openssl.org/docs/manmaster/man7/migration_guide.html

Thank you

Comment 1 Ben Cotton 2022-02-08 21:29:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 36 development cycle.
Changing version to 36.

Comment 3 Otto Liljalaakso 2022-08-21 19:13:51 UTC
More active discussion about the next release:
https://github.com/transmission/transmission/discussions/2287

Basically, Transmission is in the middle of huge update to 4.0.0,
including switching the programming language from C to C++.
It does not seem like there will be any bugfix releases for 3.x.
Upstream claims their nightly builds are usable,
so using one of them can be a fallback plan if the current Fedora build from From 35 stops working.

Comment 4 Kalev Lember 2022-08-22 11:43:22 UTC
Would it make sense to fix the FTBFS by building transmission against openssl1.1-devel until the new upstream release is sorted out?

Comment 5 Gwyn Ciesla 2022-08-22 14:32:33 UTC
It would, I'll do so.

Comment 6 Fedora Update System 2022-08-22 15:44:38 UTC
FEDORA-2022-740fc91db3 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-740fc91db3

Comment 7 Fedora Update System 2022-08-23 01:16:26 UTC
FEDORA-2022-740fc91db3 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-740fc91db3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-740fc91db3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-08-24 20:31:16 UTC
FEDORA-2022-740fc91db3 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.